object Form1: TForm1
  Left = 321
  Top = 190
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'ATMEL AVR programmer v2.3'
  ClientHeight = 533
  ClientWidth = 725
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  ShowHint = True
  OnClose = FormClose
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object Label1: TLabel
    Left = 496
    Top = 14
    Width = 34
    Height = 13
    Caption = 'Device'
  end
  object rgComPort: TRadioGroup
    Left = 8
    Top = 8
    Width = 105
    Height = 113
    Caption = 'Programmer port'
    ItemIndex = 0
    Items.Strings = (
      'LPT 1'
      'COM 1'
      'COM 2'
      'COM 3'
      'COM 4')
    TabOrder = 0
    OnClick = rgComPortClick
  end
  object StatusBar1: TStatusBar
    Left = 8
    Top = 509
    Width = 481
    Height = 19
    Align = alNone
    Panels = <>
    SimplePanel = True
    SizeGrip = False
  end
  object FlashMemo: TMemo
    Left = 120
    Top = 8
    Width = 369
    Height = 329
    Font.Charset = EASTEUROPE_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
    ReadOnly = True
    ScrollBars = ssVertical
    TabOrder = 2
  end
  object ProgressBar1: TProgressBar
    Left = 492
    Top = 511
    Width = 229
    Height = 17
    Min = 0
    Max = 100
    Step = 1
    TabOrder = 3
  end
  object GroupBox1: TGroupBox
    Left = 8
    Top = 136
    Width = 105
    Height = 105
    Caption = 'Line settings'
    TabOrder = 4
    object cbInvMosi: TCheckBox
      Left = 8
      Top = 24
      Width = 81
      Height = 17
      Caption = 'Invert MOSI'
      TabOrder = 0
      OnClick = cbInvMosiClick
    end
    object cbInvMiso: TCheckBox
      Left = 8
      Top = 48
      Width = 81
      Height = 17
      Caption = 'Invert MISO'
      TabOrder = 1
      OnClick = cbInvMosiClick
    end
    object cbInvSck: TCheckBox
      Left = 8
      Top = 72
      Width = 81
      Height = 17
      Caption = 'Invert SCK'
      TabOrder = 2
      OnClick = cbInvMosiClick
    end
  end
  object GroupBox2: TGroupBox
    Left = 8
    Top = 256
    Width = 105
    Height = 97
    Caption = 'Timing settings'
    TabOrder = 5
    object cbSleep: TCheckBox
      Left = 8
      Top = 64
      Width = 89
      Height = 17
      Caption = '1ms override'
      TabOrder = 0
    end
    object tbDelay: TTrackBar
      Left = 5
      Top = 32
      Width = 94
      Height = 25
      Min = 1
      Orientation = trHorizontal
      Frequency = 1
      Position = 1
      SelEnd = 0
      SelStart = 0
      TabOrder = 1
      ThumbLength = 10
      TickMarks = tmBottomRight
      TickStyle = tsAuto
      OnChange = tbDelayChange
    end
  end
  object btnOpenFile: TButton
    Left = 504
    Top = 80
    Width = 89
    Height = 25
    Caption = 'Open file'
    TabOrder = 6
    OnClick = btnOpenFileClick
  end
  object eProgFile: TEdit
    Left = 496
    Top = 50
    Width = 201
    Height = 21
    TabOrder = 7
  end
  object btnOpenDialog: TButton
    Left = 704
    Top = 48
    Width = 17
    Height = 25
    Caption = '...'
    TabOrder = 8
    OnClick = btnOpenDialogClick
  end
  object GroupBox3: TGroupBox
    Left = 496
    Top = 144
    Width = 105
    Height = 193
    Caption = 'Read operations'
    TabOrder = 9
    object btnReadSig: TButton
      Left = 8
      Top = 56
      Width = 89
      Height = 25
      Caption = 'Read signature'
      TabOrder = 0
      OnClick = btnReadSigClick
    end
    object btnReadEE: TButton
      Left = 8
      Top = 120
      Width = 89
      Height = 25
      Caption = 'Read EEPROM'
      TabOrder = 1
      OnClick = btnReadEEClick
    end
    object btnReadFlash: TButton
      Left = 8
      Top = 88
      Width = 89
      Height = 25
      Caption = 'Read FLASH'
      TabOrder = 2
      OnClick = btnReadFlashClick
    end
    object btnVerify: TButton
      Left = 8
      Top = 160
      Width = 89
      Height = 25
      Caption = 'Verify'
      TabOrder = 3
      OnClick = btnVerifyClick
    end
    object btnAVRreset: TButton
      Left = 8
      Top = 24
      Width = 89
      Height = 25
      Caption = 'Reset AVR'
      TabOrder = 4
      OnClick = btnAVRresetClick
    end
  end
  object GroupBox4: TGroupBox
    Left = 616
    Top = 144
    Width = 105
    Height = 193
    Caption = 'Write operations'
    TabOrder = 10
    object btnWriteEE: TButton
      Left = 8
      Top = 88
      Width = 89
      Height = 25
      Caption = 'Write EEPROM'
      TabOrder = 0
      OnClick = btnWriteEEClick
    end
    object btnErase: TButton
      Left = 8
      Top = 24
      Width = 89
      Height = 25
      Caption = 'Erase chip'
      TabOrder = 1
      OnClick = btnEraseClick
    end
    object btnWriteFlash: TButton
      Left = 8
      Top = 56
      Width = 89
      Height = 25
      Caption = 'Write FLASH'
      TabOrder = 2
      OnClick = btnWriteFlashClick
    end
    object btnProgram: TButton
      Left = 8
      Top = 160
      Width = 89
      Height = 25
      Hint = 'Erase, program flash, program eeprom'
      Caption = 'Program'
      TabOrder = 3
      OnClick = btnProgramClick
    end
    object btnProgLock: TButton
      Left = 8
      Top = 120
      Width = 89
      Height = 25
      Caption = 'Lock chip'
      TabOrder = 4
      OnClick = btnProgLockClick
    end
  end
  object EEMemo: TMemo
    Left = 120
    Top = 344
    Width = 369
    Height = 161
    ReadOnly = True
    ScrollBars = ssVertical
    TabOrder = 11
  end
  object cbLoadEEP: TCheckBox
    Left = 616
    Top = 84
    Width = 81
    Height = 17
    Caption = 'Load .eep'
    TabOrder = 12
  end
  object btnDispBuf: TButton
    Left = 504
    Top = 112
    Width = 89
    Height = 25
    Caption = 'Display buffer'
    TabOrder = 13
    OnClick = btnDispBufClick
  end
  object cbDevice: TComboBox
    Left = 544
    Top = 8
    Width = 137
    Height = 21
    Style = csDropDownList
    ItemHeight = 13
    TabOrder = 14
    OnChange = cbDeviceChange
  end
  object btnAbout: TButton
    Left = 704
    Top = 8
    Width = 17
    Height = 25
    Caption = '?'
    TabOrder = 15
    OnClick = btnAboutClick
  end
  object GroupBox5: TGroupBox
    Left = 496
    Top = 344
    Width = 225
    Height = 49
    Caption = 'Fuses'
    TabOrder = 16
    object btnReadFuses: TButton
      Left = 8
      Top = 16
      Width = 65
      Height = 25
      Caption = 'Read'
      TabOrder = 0
      OnClick = btnReadFusesClick
    end
    object btnWriteFuses: TButton
      Left = 152
      Top = 16
      Width = 67
      Height = 25
      Caption = 'Write'
      TabOrder = 1
      OnClick = btnWriteFusesClick
    end
    object eFuses: TEdit
      Left = 84
      Top = 18
      Width = 57
      Height = 21
      TabOrder = 2
      Text = 'FFFF'
    end
  end
  object btnTestBuf: TButton
    Left = 624
    Top = 112
    Width = 89
    Height = 25
    Caption = 'Test buffer'
    TabOrder = 17
    OnClick = btnTestBufClick
  end
  object btnEditEE: TButton
    Left = 56
    Top = 368
    Width = 59
    Height = 25
    Caption = 'Edit EE'
    TabOrder = 18
    OnClick = btnEditEEClick
  end
  object btnBootloader: TButton
    Left = 8
    Top = 408
    Width = 105
    Height = 25
    Caption = 'Bootloader'
    TabOrder = 19
    OnClick = btnBootloaderClick
  end
  object GroupBox6: TGroupBox
    Left = 496
    Top = 456
    Width = 225
    Height = 49
    Caption = 'Lock bits'
    TabOrder = 20
    object btnReadLock: TButton
      Left = 8
      Top = 16
      Width = 65
      Height = 25
      Caption = 'Read'
      TabOrder = 0
      OnClick = btnReadLockClick
    end
    object btnWriteLock: TButton
      Left = 152
      Top = 16
      Width = 67
      Height = 25
      Caption = 'Write'
      TabOrder = 1
      OnClick = btnWriteLockClick
    end
    object eLock: TEdit
      Left = 88
      Top = 16
      Width = 49
      Height = 21
      TabOrder = 2
      Text = 'FF'
    end
  end
  object GroupBox7: TGroupBox
    Left = 496
    Top = 400
    Width = 225
    Height = 49
    Caption = 'Extended fuses'
    TabOrder = 21
    object btnReadExtFuses: TButton
      Left = 8
      Top = 16
      Width = 65
      Height = 25
      Caption = 'Read'
      TabOrder = 0
      OnClick = btnReadExtFusesClick
    end
    object btnWriteExtFuses: TButton
      Left = 152
      Top = 16
      Width = 67
      Height = 25
      Caption = 'Write'
      TabOrder = 1
      OnClick = btnWriteExtFusesClick
    end
    object eExtFuses: TEdit
      Left = 88
      Top = 16
      Width = 49
      Height = 21
      TabOrder = 2
      Text = 'FF'
    end
  end
  object OpenDialog1: TOpenDialog
    Filter = 'Motorola S-Record files (*.hex)|*.hex'
    Left = 696
    Top = 80
  end
end
